GEOS: geos::geom::prep::PreparedPolygonPredicate Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes

# geos::geom::prep::PreparedPolygonPredicate Class Reference

A base class for predicate operations on PreparedPolygons. More...

`#include <PreparedPolygonPredicate.h>`

Inheritance diagram for geos::geom::prep::PreparedPolygonPredicate:

List of all members.

## Public Member Functions
| PreparedPolygonPredicate (const PreparedPolygon *const prepPoly)
## Protected Member Functions
bool | isAllTestComponentsInTarget (const geom::Geometry *testGeom) const
| Tests whether all components of the test Geometry are contained in the target geometry.
bool | isAllTestComponentsInTargetInterior (const geom::Geometry *testGeom) const
| Tests whether all components of the test Geometry are contained in the interior of the target geometry.
bool | isAnyTestComponentInTarget (const geom::Geometry *testGeom) const
| Tests whether any component of the test Geometry intersects the area of the target geometry.
bool | isAnyTestComponentInTargetInterior (const geom::Geometry *testGeom) const
| Tests whether any component of the test Geometry intersects the interior of the target geometry.
bool | isAnyTargetComponentInAreaTest (const geom::Geometry *testGeom, const geom::Coordinate::ConstVect *targetRepPts) const
## Protected Attributes
const PreparedPolygon *const | prepPoly

## Detailed Description

A base class for predicate operations on PreparedPolygons.

Author:
  mbdavis

## Constructor & Destructor Documentation

geos::geom::prep::PreparedPolygonPredicate::PreparedPolygonPredicate | ( | const PreparedPolygon *const | prepPoly ) | `[inline]`

Creates an instance of this operation.

Parameters:

  prepPoly | the PreparedPolygon to evaluate

## Member Function Documentation

bool geos::geom::prep::PreparedPolygonPredicate::isAllTestComponentsInTarget | ( | const geom::Geometry * | testGeom ) | const`[protected]`

Tests whether all components of the test Geometry are contained in the target geometry.

Handles both linear and point components.

Parameters:

  geom | a geometry to test

Returns:
  true if all components of the argument are contained in the target geometry

bool geos::geom::prep::PreparedPolygonPredicate::isAllTestComponentsInTargetInterior | ( | const geom::Geometry * | testGeom ) | const`[protected]`

Tests whether all components of the test Geometry are contained in the interior of the target geometry.

Handles both linear and point components.

Parameters:

  geom | a geometry to test

Returns:
  true if all componenta of the argument are contained in the target geometry interior

bool geos::geom::prep::PreparedPolygonPredicate::isAnyTargetComponentInAreaTest | ( | const geom::Geometry * | testGeom,
|  | const geom::Coordinate::ConstVect * | targetRepPts
| ) |  | const`[protected]`

Tests whether any component of the target geometry intersects the test geometry (which must be an areal geometry)

Parameters:

  geom | the test geometry
  repPts | the representative points of the target geometry

Returns:
  true if any component intersects the areal test geometry

bool geos::geom::prep::PreparedPolygonPredicate::isAnyTestComponentInTarget | ( | const geom::Geometry * | testGeom ) | const`[protected]`

Tests whether any component of the test Geometry intersects the area of the target geometry.

Handles test geometries with both linear and point components.

Parameters:

  geom | a geometry to test

Returns:
  true if any component of the argument intersects the prepared geometry

bool geos::geom::prep::PreparedPolygonPredicate::isAnyTestComponentInTargetInterior | ( | const geom::Geometry * | testGeom ) | const`[protected]`

Tests whether any component of the test Geometry intersects the interior of the target geometry.

Handles test geometries with both linear and point components.

Parameters:

  geom | a geometry to test

Returns:
  true if any component of the argument intersects the prepared area geometry interior

The documentation for this class was generated from the following file:

- PreparedPolygonPredicate.h